Alien::Package::Tgz(3)

NAME
Alien::Package::Tgz - an object that represents a tgz package

DESCRIPTION
This is an object class that represents a tgz package, as used in Slackware. It also allows conversion of raw tar files. It is derived from Alien::Package.

CLASS DATA

scripttrans
    Translation table between canoical script names and the names used in tgz's.

METHODS

checkfile
    Detect tgz files by their extension.

install
    Install a tgz with installpkg. Pass in the filename of the tgz to install.

    installpkg (a slackware program) is used because I'm not sanguine about just untarring a tgz file. It might trash a system.

scan
    Scan a tgz file for fields. Has to scan the filename for most of the information, since there is little useful metadata in the file itself.

unpack
    Unpack tgz.

prep
    Adds a populated install directory to the build tree.

build
    Build a tgz.

AUTHOR
Joey Hess <joey@kitenet.net>